@font-face {
  font-family:"PokemonHollow";
  src: url("../font/PokemonHollow.ttf") format("truetype");
  font-weight: normal;
  font-style: normal;
}
@font-face {
  font-family:"PokemonSolid";
  src: url("../font/PokemonSolid.ttf") format("truetype");
  font-weight: normal;
  font-style: normal;
}
body {
  background-image: url("../images/sunburst-blue.svg");
  /* background by SVGBackgrounds.com */
  background-color: #ffffff;
  background-attachment: fixed;
  background-size: cover;
  background-position: center;
  font-family: Arial, Helvetica, sans-serif;
  height: 100vh;
}
/* common */
.noSelectClick {
  cursor: pointer;
  -webkit-touch-callout: none;
  -webkit-user-select: none;
  -khtml-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}
.textSolid, .textHollow {
  font-weight: bold;
  text-align: center;
  width: calc(100% - 40px);
  padding: 5px 20px;
  letter-spacing: 5px;
}
.textSolid {
  font-family: "PokemonSolid";
  color: #ffcb05;
}
.textHollow {
  font-family: "PokemonHollow";
  color: #3566af;
}
/* specific */
#pokemonContainer {
  position: relative;
  width: 100%;
  height: 100vh;
}
.title {
  font-size: 50px;
  line-height: 70px;
  position: absolute;
  bottom: 80vh;
  left: 0;
}
#loadingIcon {
  position: absolute;
  top: calc(50% - 50px);
  left: calc(50% - 50px);
  -webkit-animation: rotation 2s infinite linear;
}
@-webkit-keyframes rotation {
  from {
    -webkit-transform: rotate(0deg);
  }
  to {
    -webkit-transform: rotate(359deg);
  }
}
#pokemon {
  position: absolute;
  top: 23vh;
  width: 100%;
  height: 54vh;
  display: flex;
  align-items: center;
  justify-content: center;
}
#pokemon svg {
  width: 100%;
  height: 100%;
  max-width: 475px;
  max-height: 475px;
}
#pokemon .png-mask-path {
  cursor: pointer;
  fill: #00375b;
  fill-opacity: 0.98;
}
#pokemon .png-mask-path:hover {
  fill-opacity: 0;
}

.loadingText {
  font-size: 35px;
  line-height: 50px;
  position: absolute;
  top: 81vh;
  left: 0;
}
#nextButton {
  position: absolute;
  top: 81vh;
  left: calc(50% - 85px);
}

/* loading */
#loadingIcon, .loadingText{
  display: none;
}
.loading #loadingIcon, .loading .loadingText {
  display: inline;
}
.loading #pokemon, .loading #nextButton  {
  display: none;
}

/* width or height */
@media only screen and (max-width: 767px), only screen and (max-height: 767px) {
  .title {
    font-size: 40px;
    line-height: 56px;
  }
}
@media only screen and (max-width: 599px), only screen and (max-height: 599px) {
  .title {
    font-size: 35px;
    line-height: 50px;
  }
  #pokemon {
    padding: 0 10px;
    width: calc(100% - 20px);
  }
  .loadingText {
    font-size: 28px;
    line-height: 38px;
  }
  #nextButton {
    height: 40px;
    width: 136px;
    left: calc(50% - 68px);
  }
}
@media only screen and (max-width: 479px), only screen and (max-height: 479px) {
  .title {
    font-size: 30px;
    line-height: 38px;
  }
  .loadingText {
    font-size: 26px;
    line-height: 32px;
  }
  #nextButton {
    height: 38px;
    width: 130px;
    left: calc(50% - 65px);
  }
}

/* height only */
@media only screen and (max-height: 767px) {
  .title {
    bottom: 79vh;
  }
}
@media only screen and (max-height: 599px) {
  .title {
    bottom: 75vh;
  }
  #pokemon {
    top: 26vh;
  }
  .loadingText, #nextButton {
    top: 81vh;
  }
}
@media only screen and (max-height: 479px) {
  .title {
    bottom: 71vh;
  }
  #pokemon {
    top: 29vh;
  }
  .loadingText, #nextButton {
    top: 83vh;
  }
}
